Results 1 to 8 of 8

Thread: Troubles installing MPlayer on Opensuse 11.4 - please help

  1. #1

    Default Troubles installing MPlayer on Opensuse 11.4 - please help

    Hi all,

    Please help with the following:

    Within Yast, I have attempted to install Mplayer on my recently upgraded opensuse.
    It states nothing provides libjpeg.so.62(LIBJPEG_6.2)(64Bit) needed by Mplayer-1.0rc4_r33030-1.pm.1.3.x86_64

    With the options of

    Do not install Mplayer-1.0rc4_r33030-1.pm.1.3.x86_64 OR
    Break MPlayer by ignoring some of its dependencies.

    I do not want either of these options, rather I want to just have the option to install it.

    The repositories I have ticked are the following
    opensuse 11.4 OSS
    opensuse 11.4 Updates
    Packman Repository
    ReDwarf
    Opensuse 11.4 NOn OSS.

    Any idea on how I can resolve this dependency issue / install the software?

    Any help would be greatly appreciated.

    Thank you.

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Troubles installing MPlayer on Opensuse 11.4 - please help

    I am thinking you only need to add in Packman. Please check the address to see if this is it:

    Code:
    http://packman.inode.at/suse/openSUSE_11.4/
    And I am not sure why you have added in ReDwarf. I have not needed to add in this repository and I am not having any problems with using MPLAYER. I do know that so far, the MPLAYER Plugin is not in Packman, but this has not proved to be a problem so far for me. Here is a pointer to the mmcheck script file (That you must make executable to use, that can help check all of your multimedia setup: mmcheck - version 2.30 - Multimedia Checker.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3

    Default Re: Troubles installing MPlayer on Opensuse 11.4 - please help

    Thank you this has been a great help.

  4. #4
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Troubles installing MPlayer on Opensuse 11.4 - please help

    Thank you this has been a great help.
    Happy to help leo_mancini, though you did not mention what portion of the help I provided actually solved your problem. There are other users here that might have the same issue, but unsure of what fix you used?

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  5. #5

    Default Re: Troubles installing MPlayer on Opensuse 11.4 - please help

    @jdmcdaniel3

    I experienced the same issue. Using the URL you provided, I encountered a new warning.

    I would appreciate it if you could let me know if I did something wrong:
    Code:
    inux-hvgr:~ # zypper install MPlayer
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: nothing provides libjpeg.so.62(LIBJPEG_6.2) needed by MPlayer-1.0rc4_r33269-1.pm.1.1.i586
     Solution 1: do not install MPlayer-1.0rc4_r33269-1.pm.1.1.i586
     Solution 2: break MPlayer by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c] (c): c
    linux-hvgr:~ # zypper rr packman
    Removing repository 'packman' [done]
    Repository 'packman' has been removed.
    linux-hvgr:~ # zypper refresh
    All repositories have been refreshed.
    linux-hvgr:~ # zypper ar -n packman http://packman.inode.at/suse/openSUSE_11.4/ packman
    Adding repository 'packman' [done]
    Repository 'packman' successfully added
    Enabled: Yes
    Autorefresh: No
    URI: http://packman.inode.at/suse/openSUSE_11.4/
    
    linux-hvgr:~ # zypper refresh
    Retrieving repository 'packman' metadata [done]
    Building repository 'packman' cache [done]
    All repositories have been refreshed.
    linux-hvgr:~ # zypper install mplayer
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: nothing provides libcrystalhd.so.3 needed by MPlayer-1.0rc4_r33269-1.pm.1.1.i586
     Solution 1: do not install MPlayer-1.0rc4_r33269-1.pm.1.1.i586
     Solution 2: break MPlayer by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c] (c): c
    Thanks in advance,

  6. #6
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Troubles installing MPlayer on Opensuse 11.4 - please help

    Let me say that I use a 64 bit setup and I run the GUI version of YaST to add and remove software. Also, there has been a change with regard to mplayer and specifically there are two new files, mplayer2 and "use mplayer2 as mplayer" files which replace mplayer. My suggestion is to switch to mplayer2 (which removes mplayer if present) and then see if there is still a mplayer issue.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  7. #7
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,564
    Blog Entries
    38

    Default Re: Troubles installing MPlayer on Opensuse 11.4 - please help

    Quote Originally Posted by devupnov View Post
    I experienced the same issue. Using the URL you provided, I encountered a new warning.

    I would appreciate it if you could let me know if I did something wrong:
    Any chance you have other repositories in your repository list that is complicating this situation ?

    What is the output of:
    Code:
    zypper lr -d

  8. #8
    Join Date
    Mar 2010
    Location
    Europe
    Posts
    657

    Default Re: Troubles installing MPlayer on Opensuse 11.4 - please help

    Quote Originally Posted by devupnov View Post
    I experienced the same issue. Using the URL you provided, I encountered a new warning.

    I would appreciate it if you could let me know if I did something wrong:
    Code:
    Problem: nothing provides libjpeg.so.62(LIBJPEG_6.2) needed by MPlayer-1.0rc4_r33269-1.pm.1.1.i586
    On my 64bit install 'libjpeg.so.62' is part of the package(s) 'libjpeg62'/'libjpeg62-32bit' from OSS ...

    Quote Originally Posted by devupnov View Post
    Code:
    Problem: nothing provides libcrystalhd.so.3 needed by MPlayer-1.0rc4_r33269-1.pm.1.1.i586
    ... and 'libcrystalhd.so.3' is part of the package 'libcrystalhd3' also from OSS.


    What happens if you manually install 'libjpeg62' and 'libcrystalhd3'?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •